[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TCustomTaskDialog.DoOnButtonClicked

Signals the OnButtonClicked event handler (when assigned) for the button with the specified modal result value.

## Declaration

Source position: dialogs.pp line 792

`protected procedure TCustomTaskDialog.DoOnButtonClicked(`
`AModalResult: Integer;`
`var ACanClose: Boolean`
`); dynamic;`

## Arguments

`AModalResult` |  | Modal result value signalled for the button click notification.
`ACanClose` |  | True if the dialog should be closed, or False to continue execution.

## Description

DoOnButtonClicked is called from the callback routine passed to the wrapper in LCLTaskDialog.